unit UTestForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Menus, ActnList, StdCtrls, UVCLTuning;

type
  TForm4 = class(TForm)
    MainMenu: TMainMenu;
    mmFile: TMenuItem;
    mmLoad: TMenuItem;
    mmExit: TMenuItem;
    mmCreateForm: TMenuItem;
    Label1: TLabel;
    Button1: TButton;
    ActionList: TActionList;
    aLoad: TAction;
    aExit: TAction;
    aCreateThis: TAction;
    aCreateOther: TAction;
    mmCreateThis: TMenuItem;
    mmCreateOther: TMenuItem;
    procedure aLoadExecute(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure aExitExecute(Sender: TObject);
    procedure aCreateThisExecute(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure aCreateOtherExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    VCL: TVCLTuning;
  end;

var
  Form4: TForm4;

implementation

{$R *.dfm}

procedure TForm4.aCreateOtherExecute(Sender: TObject);
var
  F : TForm;
begin
  F := TForm.Create(Application);
  try
    VCL.OwnerTuning(F, Application);
    F.Show;
  finally

  end;
end;

procedure TForm4.aCreateThisExecute(Sender: TObject);
var
  F : TForm4;
begin
  F := TForm4.Create(Application);
  try
    VCL.OwnerTuning(F, Application);
    F.Show;
  finally

  end;
end;

procedure TForm4.aExitExecute(Sender: TObject);
begin
  Close;
end;

procedure TForm4.aLoadExecute(Sender: TObject);
begin
 with TOpenDialog.Create(Self) do
 try
   Filter := 'Language|*.lng';
   if Execute then
   begin
     VCL.TunList.LoadFromFile(FileName);
     VCL.OwnerTuning(Self, Application);
   end;
 finally
   Free;
 end; 
end;

procedure TForm4.Button1Click(Sender: TObject);
begin
  Caption := Self.Name +' from ' + TComponent(Sender).Owner.Name + '.' + TComponent(Sender).Name;
end;

procedure TForm4.FormCreate(Sender: TObject);
begin
  VCL := TVCLTuning.Create(Self);
end;

end.
